/*!***********************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[4].oneOf[1].use[1]!./node_modules/postcss-loader/dist/cjs.js??ruleSet[1].rules[4].oneOf[1].use[2]!./node_modules/resolve-url-loader/index.js??ruleSet[1].rules[4].oneOf[1].use[3]!./node_modules/sass-loader/dist/cjs.js??ruleSet[1].rules[4].oneOf[1].use[4]!./node_modules/webpack-glob-loader/index.js!./upcoming-event/css/app.scss ***!
  \***********************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************/
.handorgel {
  display: block;
  width: 100%;
  border: 1px solid #eee;
  border-top: none;
}
.handorgel__header {
  display: block;
  margin: 0;
}
.handorgel__header--open .handorgel__header__button {
  background-color: #eee;
}
.handorgel__header--focus .handorgel__header__button {
  background-color: #dfdfdf;
  outline: none;
}
.handorgel__header__button {
  display: block;
  width: 100%;
  padding: 20px 24px;
  margin: 0;
  border: none;
  border-top: 1px solid #eee;
  background-color: #fff;
  border-radius: 0;
  color: inherit;
  cursor: pointer;
  font-size: inherit;
  text-align: left;
  transition: background-color 0.2s ease;
  -webkit-user-select: none;
     -moz-user-select: none;
          user-select: none;
}
.handorgel__header__button::-moz-focus-inner {
  border: 0;
}
.handorgel__content {
  display: none;
  overflow: hidden;
  height: 0;
  border-top: 1px solid #eee;
  background-color: #fff;
  transition: height 0.1s ease 0s;
}
.handorgel__content--open {
  display: block;
  transition: height 0.2s ease;
}
.handorgel__content--opened {
  overflow: visible;
}
.handorgel__content__inner {
  padding: 20px 24px;
  opacity: 0;
  transition: opacity 0.1s ease;
}
.handorgel__content--opened .handorgel__content__inner {
  opacity: 1;
  transition: opacity 0.3s ease;
}

/* global settings */
/**
 * Breakpoints (Note: they are set up to be mobile first)
 */
/**
 * Text size
 */
/**
 * Misc
 */
/* functions and mixins */
/**
 * Breakpoints are set up to be mobile first.
 */
/* paragraph reset */
/* base styles settings */
:root {
  --bp-tablet: 800px;
  --bp-menu: 1140px;
  --bp-desktop: 1000px;
  --left-padding: 75px;
  --right-padding: 50px;
  --icon-burger: url("data:image/svg+xml,<svg width=\"33\" height=\"24\" fill=\"none\" xmlns=\"http://www.w3.org/2000/svg\"><g filter=\"url%28%23a%29\" fill=\"%23fff\"><path d=\"M5 1h22.826v1.826H5V1Zm0 6.087h22.826v1.826H5V7.087Zm0 6.087h22.826V15H5v-1.826Z\"/></g><defs><filter id=\"a\" x=\"0\" y=\"0\" width=\"32.826\" height=\"24\" filterUnits=\"userSpaceOnUse\" color-interpolation-filters=\"sRGB\"><feFlood flood-opacity=\"0\" result=\"BackgroundImageFix\"/><feColorMatrix in=\"SourceAlpha\" values=\"0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0\" result=\"hardAlpha\"/><feOffset dy=\"4\"/><feGaussianBlur stdDeviation=\"2.5\"/><feComposite in2=\"hardAlpha\" operator=\"out\"/><feColorMatrix values=\"0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0\"/><feBlend in2=\"BackgroundImageFix\" result=\"effect1_dropShadow_8_72\"/><feBlend in=\"SourceGraphic\" in2=\"effect1_dropShadow_8_72\" result=\"shape\"/></filter></defs></svg>");
  --icon-close: url("data:image/svg+xml,<svg width=\"30\" height=\"30\" fill=\"none\" xmlns=\"http://www.w3.org/2000/svg\"><g filter=\"url%28%23a%29\" fill=\"%23fff\"><path d=\"M5.005 23.512 23.517 5l1.48 1.48-18.51 18.512-1.482-1.48Z\"/><path d=\"m6.495 5 18.512 18.512-1.481 1.481L5.014 6.481l1.481-1.48Z\"/></g><defs><filter id=\"a\" x=\".005\" y=\"0\" width=\"30.001\" height=\"29.993\" filterUnits=\"userSpaceOnUse\" color-interpolation-filters=\"sRGB\"><feFlood flood-opacity=\"0\" result=\"BackgroundImageFix\"/><feColorMatrix in=\"SourceAlpha\" values=\"0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0\" result=\"hardAlpha\"/><feOffset/><feGaussianBlur stdDeviation=\"2.5\"/><feComposite in2=\"hardAlpha\" operator=\"out\"/><feColorMatrix values=\"0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0\"/><feBlend in2=\"BackgroundImageFix\" result=\"effect1_dropShadow_8_115\"/><feBlend in=\"SourceGraphic\" in2=\"effect1_dropShadow_8_115\" result=\"shape\"/></filter></defs></svg>");
  --u30-2025-menu-height: 79px;
}
@media only screen and (min-width: 1000px) {
  :root {
    --left-padding: 200px;
    --right-padding: 200px;
  }
}

#container p {
  margin: 1em 0;
}
#container h1, #container h2, #container h3, #container h4, #container h5, #container h6 {
  font-family: inherit;
  padding: 0;
  text-align: left;
  color: inherit;
  max-width: none;
  margin-left: 0;
  margin-right: 0;
  text-transform: none;
}
#container b, #container strong {
  font-weight: 700;
}
#container #toplink {
  display: none;
}
@media only screen and (max-width: 999px) {
  #container .hide-mobile {
    display: none;
  }
}
@media only screen and (min-width: 1000px) {
  #container .hide-desktop {
    display: none;
  }
}

body.layout--u30-2025--initial #container {
  color: black;
  padding-left: var(--left-padding);
  padding-right: var(--right-padding);
}

body.layout--u30-2025--actual #container {
  color: white;
  background-color: black;
}

#container {
  color: black;
  font-size: 15px;
  line-height: 1.3333;
  font-family: var(--highlander);
  font-weight: 300;
}
@media only screen and (min-width: 1000px) {
  #container {
    font-size: 20px;
    line-height: 1.25;
  }
}
#container p {
  line-height: inherit;
}
#container b, #container strong {
  font-weight: 700;
}
#container a {
  color: inherit;
  text-decoration: underline;
}
#container a:hover {
  text-decoration: none;
}
#container h1 {
  font-family: inherit;
  font-weight: 700;
  font-size: 25px;
  line-height: 1.2;
  text-transform: none;
  margin-top: 2em;
  margin-bottom: 1em;
}
@media only screen and (min-width: 1000px) {
  #container h1 {
    font-size: 60px;
    line-height: 1.1666;
    margin-top: 1.3333333333em;
    margin-bottom: 0.6666666667em;
  }
}
/* styles of various components */
/* section styles */
#main {
  padding-left: 30px;
  padding-right: 30px;
  max-width: 1860px;
  margin: 0 auto;
}
#main > .inside {
  max-width: 1000px;
}
@media only screen and (min-width: 1000px) {
  #main > .inside {
    margin-left: 90px;
  }
}
#main > .inside:after {
  display: table;
  margin-top: 100px;
  content: "";
}
@media only screen and (min-width: 1000px) {
  #main > .inside:after {
    margin-top: 150px;
  }
}

/* module styles */
/* element styles */
#container .group-start.handorgel {
  border: 0;
}
#container .group-start.handorgel .handorgel__header {
  margin: 0;
  font-weight: 300;
  font-size: 25px;
  line-height: 1.4;
  font-family: inherit;
}
@media only screen and (min-width: 1000px) {
  #container .group-start.handorgel .handorgel__header {
    font-size: 60px;
    line-height: 1.5833;
  }
}
#container .group-start.handorgel .handorgel__header__button {
  padding: 0;
  border: 0;
  background-color: transparent;
  font-family: inherit;
  font-weight: inherit;
  line-height: inherit;
  font-size: inherit;
}
#container .group-start.handorgel .handorgel__header__button:hover {
  text-decoration: underline;
}
#container .group-start.handorgel .handorgel__header--open .handorgel__header__button, #container .group-start.handorgel .handorgel__header--opened .handorgel__header__button {
  text-decoration: underline;
  background-color: transparent;
}
#container .group-start.handorgel .handorgel__content {
  border: 0;
  background-color: transparent;
}
#container .group-start.handorgel .handorgel__content__inner > *:first-child {
  margin-top: 0;
}
#container .group-start.handorgel .handorgel__content__inner > *:last-child {
  margin-bottom: 0;
}
#container .group-start.handorgel .handorgel__content__inner {
  border: 0;
  padding: 25px 0;
}
@media only screen and (min-width: 1000px) {
  #container .group-start.handorgel .handorgel__content__inner {
    padding: 50px 0;
  }
}
#container .group-start.content-element-group--fows26-partner {
  margin-right: -229px;
  width: auto;
}
@media only screen and (max-width: 1399px) {
  #container .group-start.content-element-group--fows26-partner {
    margin-right: 0;
  }
}
#container .group-start.content-element-group--fows26-partner .handorgel__content__inner {
  display: flex;
  flex-direction: column;
  padding: 50px 0;
  gap: 26px;
  align-items: flex-start;
}
@media only screen and (min-width: 1000px) {
  #container .group-start.content-element-group--fows26-partner .handorgel__content__inner {
    gap: 64px;
    padding: 100px 0;
  }
}

#container .ce_headline.headline--small {
  font-weight: 400;
  font-size: inherit;
  line-height: inherit;
  margin-top: 50px;
  margin-bottom: 0;
}
@media only screen and (min-width: 1000px) {
  #container .ce_headline.headline--small {
    margin-top: 100px;
  }
}

#container .ce_hyperlink {
  text-align: left;
  font-size: 25px;
  line-height: 1.4;
}
@media only screen and (min-width: 1000px) {
  #container .ce_hyperlink {
    font-size: 60px;
    line-height: 1.5833;
  }
}
#container .ce_hyperlink a {
  text-decoration: none;
}
#container .ce_hyperlink a:hover {
  text-decoration: underline;
  font-style: normal;
}

@media only screen and (min-width: 1000px) {
  #container h2 + .ce_hyperlink {
    line-height: 1.3333;
  }
}
#container .ce_image.content-image--fows26-partner--denza {
  margin-left: -1px;
}
#container .ce_image.content-image--fows26-partner--smzh {
  margin-left: 5px;
}
#container .ce_image.content-image--fows26-partner--pm {
  margin-left: -11px;
}
#container .ce_image.content-image--fows26-partner--grape {
  margin-left: 4px;
}
#container .ce_image.content-image--fows26-partner--phoeniqs {
  margin-left: 0;
}
@media only screen and (max-width: 999px) {
  #container .ce_image.content-image--fows26-partner--denza {
    margin-left: 0;
  }
  #container .ce_image.content-image--fows26-partner--denza img {
    width: 120px;
  }
  #container .ce_image.content-image--fows26-partner--smzh {
    margin-left: 3px;
  }
  #container .ce_image.content-image--fows26-partner--smzh img {
    width: 65px;
  }
  #container .ce_image.content-image--fows26-partner--pm {
    margin-left: -5px;
  }
  #container .ce_image.content-image--fows26-partner--pm img {
    width: 162px;
  }
  #container .ce_image.content-image--fows26-partner--grape {
    margin-left: 3px;
  }
  #container .ce_image.content-image--fows26-partner--grape img {
    width: 62px;
  }
  #container .ce_image.content-image--fows26-partner--phoeniqs {
    margin-left: 0;
  }
  #container .ce_image.content-image--fows26-partner--phoeniqs img {
    width: 115px;
  }
}

#container .ce_text.handorgel {
  border: 0;
}
#container .ce_text.handorgel .handorgel__header {
  margin: 0;
  font-weight: 300;
  font-size: 25px;
  line-height: 1.4;
  font-family: inherit;
}
@media only screen and (min-width: 1000px) {
  #container .ce_text.handorgel .handorgel__header {
    font-size: 60px;
    line-height: 1.5833;
  }
}
#container .ce_text.handorgel .handorgel__header__button {
  padding: 0;
  border: 0;
  background-color: transparent;
  font-family: inherit;
  font-weight: inherit;
  line-height: inherit;
  font-size: inherit;
}
#container .ce_text.handorgel .handorgel__header__button:hover {
  text-decoration: underline;
}
#container .ce_text.handorgel .handorgel__header--open .handorgel__header__button, #container .ce_text.handorgel .handorgel__header--opened .handorgel__header__button {
  text-decoration: underline;
  background-color: transparent;
}
#container .ce_text.handorgel .handorgel__content {
  border: 0;
  background-color: transparent;
}
#container .ce_text.handorgel .handorgel__content__inner > *:first-child {
  margin-top: 0;
}
#container .ce_text.handorgel .handorgel__content__inner > *:last-child {
  margin-bottom: 0;
}
#container .ce_text.handorgel .handorgel__content__inner {
  border: 0;
  padding: 25px 0;
}
@media only screen and (min-width: 1000px) {
  #container .ce_text.handorgel .handorgel__content__inner {
    padding: 50px 0;
  }
}
#container .ce_text.content-text--upcoming-event-date {
  margin-top: 25px;
  margin-bottom: 50px;
}
@media only screen and (min-width: 1000px) {
  #container .ce_text.content-text--upcoming-event-date {
    margin-top: 50px;
    margin-bottom: 100px;
    font-size: 30px;
    line-height: 1.3333;
  }
}

/*# sourceMappingURL=data:application/json;charset=utf-8;base64,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*/